Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation.ontology
Class OntologyEvent

    java.lang.Object
      java.util.EventObject
          de.uka.ipd.consensus.foundation.AbstractConsensusFoundationEvent
              de.uka.ipd.consensus.foundation.ontology.OntologyEvent

All Implemented Interfaces:
  ConsensusFoundationManager, Serializable

public class OntologyEvent
extends AbstractConsensusFoundationEvent

Event objects of this type are passed to OntologyListeners.

Version:
  2006-06-14
Author:
  Thomas Much
See Also:
  `OntologyListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`OntologyEvent(ConsensusFoundationManager cfm, Concept source, User user)`
`OntologyEvent(ConsensusFoundationManager cfm, Concept source, User user, String oldValue, Topic oldType, Topic topic, Occurrence occurrence, Synonym synonym)`

Method Summary
`Concept` | `getConcept()` All ontology events happen on a base concept that is returned by this method.
`Occurrence` | `getOccurrence()` Returns the occurrence for occurrence events (creating, changing, removing).
`Topic` | `getOldType()` If the type of a concept changes, this method returns the old type.
`String` | `getOldValue()` If a string value (like a concept name or an occurrence value) was changed, this method returns the old value.
`Synonym` | `getSynonym()` If a synonym is added or removed, this method returns the Synonym object.
`Topic` | `getTopic()` If an event happens on a topic aditionally to the base concept (e.g. if a topic is added to a base association), this method returns the topic.
`User` | `getUser()` Returns the user who caused the event, i.e. the user who created or removed an element etc.

Methods inherited from class de.uka.ipd.consensus.foundation.AbstractConsensusFoundationEvent
`getDynamicRightsManager, getEvolutionManager, getIncentiveManager, getLoggingManager, getOntologyManager, getRatingManager, getUserManager, getVersion`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OntologyEvent

    public OntologyEvent(ConsensusFoundationManager cfm,
                         Concept source,
                         User user,
                         String oldValue,
                         Topic oldType,
                         Topic topic,
                         Occurrence occurrence,
                         Synonym synonym)

### OntologyEvent

    public OntologyEvent(ConsensusFoundationManager cfm,
                         Concept source,
                         User user)

Method Detail

### getConcept

    public Concept getConcept()

  All ontology events happen on a base concept that is returned by this method.

  Returns:
    the base concept that the event happened on

### getUser

    public User getUser()

  Returns the user who caused the event, i.e. the user who created or removed an element etc.

  Returns:
    the user who caused the event

### getOldValue

    public String getOldValue()

  If a string value (like a concept name or an occurrence value) was changed, this method returns the old value.

  Returns:
    the old string value

### getOldType

    public Topic getOldType()

  If the type of a concept changes, this method returns the old type. `null` is returned if the concept did not have a type before.

  Returns:
    the old type topic

### getTopic

    public Topic getTopic()

  If an event happens on a topic aditionally to the base concept (e.g. if a topic is added to a base association), this method returns the topic.

  Returns:
    the topic if the event includes a topic in addition to another base concept
  See Also:
    `getConcept()`

### getOccurrence

    public Occurrence getOccurrence()

  Returns the occurrence for occurrence events (creating, changing, removing).

  Returns:
    an occurrence

### getSynonym

    public Synonym getSynonym()

  If a synonym is added or removed, this method returns the Synonym object.

  Returns:
    the Synonym object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD